#ifndef DXF_CIRCLE_H
#define DXF_CIRCLE_H

#include <QMainWindow>
#include "dxf_base_types/dxf_base_circle.h"
#include "dxf_control/dxf_ltype_control.h"

class dxf_circle : public QMainWindow
{
	Q_OBJECT
	public:
	explicit dxf_circle(QWidget *parent = 0);

	QString layer;				//8
	QString ltype;				//6

	double x;					//10
	double y;					//20
	double diameter;

	QString antialias;
	QString style;
	QString line_style;
	QString line_weight;
	QString filling;
	QString color;

	QString Result_circle;


	QString Create_CIRCLE();

	signals:

	public slots:

};

#endif // DXF_CIRCLE_H
