#include "dxf_layer_control.h"

extern struct DXF_base DXF_main_base[1];
extern struct DXF_table_layer DXF_input_table_layer[100];

DXF_layer_control::DXF_layer_control(QWidget *parent) :
	QMainWindow(parent)
{
}

QString DXF_layer_control::dxf_layer_ltype()
{
	Layer_count=0;
	Layer_end=0;

	Layer_end=DXF_main_base[0].DXF_table_layer_count;

	if (layer_to_find=="")
	{
		layer_ltype="Continuous";
	}

	else
	{

		while (Layer_count<Layer_end)
		{

			if (DXF_input_table_layer[Layer_count].dxf_table_layer_code_2==layer_to_find)
			{
				layer_ltype=DXF_input_table_layer[Layer_count].dxf_table_layer_code_6;
				Layer_count=Layer_end;
			}
			else
			{
				Layer_count=Layer_count+1;
			}


		}
	}



	return layer_ltype;
}
